use std::path::PathBuf;

use pyo3::prelude::*;

#[pyclass]
struct Message {}

#[pyclass]
struct Bag {}

#[pymethods]
impl Bag {
    #[new]
    fn new(path: PathBuf) -> Self {
        Self {}
    }

    fn read(&mut self) -> Option<Message> {
        Some(Message {})
    }
}

/// A Python module implemented in Rust. The name of this function must match
/// the `lib.name` setting in the `Cargo.toml`, else Python will not be able to
/// import the module.
#[pymodule]
fn rsbag(_py: Python<'_>, m: &PyModule) -> PyResult<()> {
    m.add_class::<Bag>()?;
    Ok(())
}
