pub mod bag;
pub mod chunk;
mod error;
pub mod index;
pub mod info;
pub mod layout;
pub mod message;
pub mod parse;
pub mod reader;

pub use ros_message::Time;
use smol_str::SmolStr;

pub use bag::Bag;
pub use error::{Error, Result};

pub type SmallStr = SmolStr;
