use thiserror::Error;

use crate::parse::Op;

#[derive(Debug, Error)]
#[error("unexpected EOF")]
pub struct UnexpectedEof;

#[derive(Debug, Error)]
#[error("expected op {0:?}, got {1:?}")]
pub struct UnexpectedOp(pub Op, pub Op);
